From 297916e6a2ad91bbd4cbd0173cac79937b93a393 Mon Sep 17 00:00:00 2001
From: Florian Pritz <bluewind@xinu.at>
Date: Fri, 6 Apr 2012 23:50:37 +0200
Subject: pkgdelta: exit 1 upon error

This has been 0 since 9fa18d9a4b4ce5217842c71d8a45676e3fb9d3f4, but it
doesn't makes sense because we are raising an error.

Signed-off-by: Florian Pritz <bluewind@xinu.at>
Signed-off-by: Dan McGee <dan@archlinux.org>
---
 scripts/pkgdelta.sh.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

(limited to 'scripts')

diff --git a/scripts/pkgdelta.sh.in b/scripts/pkgdelta.sh.in
index e8e54b8e..5fcc5be4 100644
--- a/scripts/pkgdelta.sh.in
+++ b/scripts/pkgdelta.sh.in
@@ -136,12 +136,12 @@ fi
 
 if [[ ! -f $1 ]]; then
 	error "$(gettext "File '%s' does not exist")" "$1"
-	exit 0
+	exit 1
 fi
 
 if [[ ! -f $2 ]]; then
 	error "$(gettext "File '%s' does not exist")" "$2"
-	exit 0
+	exit 1
 fi
 
 if ! type xdelta3 &>/dev/null; then
-- 
cgit v1.2.3-70-g09d2